ReflectionFunctionAbstract::isDeprecated
ReflectionFunctionAbstract::isInternal
ReflectionFunctionAbstract
PHP Manual

# ReflectionFunctionAbstract::isGenerator

(PHP 5 >= 5.5.0)

ReflectionFunctionAbstract::isGenerator — Returns whether this function is a generator

### Description

public bool ReflectionFunctionAbstract::isGenerator ( void )

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the function is generator, `FALSE` if it is not or `NULL` on failure.

ReflectionFunctionAbstract::isDeprecated
ReflectionFunctionAbstract::isInternal
ReflectionFunctionAbstract
PHP Manual